/* Gravity Forms */
.gform-theme--foundation .gform_fields {
    row-gap: 0;
}
.gform_wrapper label {
	/* color:var(--e-global-color-primary) !important; */
	font-size:1rem !important;
}
.gform_wrapper input:not([type="submit"]):not([type="button"]):not([type="checkbox"]):not([type="radio"]),
.gform_wrapper textarea,
.gform_wrapper select {
	color: #333 !important;
	font-size:1.1875rem !important;
    border: 1px solid #DFDFDF !important;
    border-radius: 30px !important;
    box-shadow: none;
    outline: none;
    width: 100%;
    margin-bottom: 0;
	height:unset !important;
	box-shadow:unset !important;
}
.gform_wrapper input:not([type="submit"]):focus:not([type="button"]):focus,
.gform_wrapper textarea:focus,
.gform_wrapper select:focus {
	color:var(--bs-body-color) !important;
	border-width:1px !important;
	border-color: #86b7fe !important;
 }
.gform_wrapper input[type="text"], .gform_wrapper input[type="email"], .gform_wrapper input[type="url"], .gform_wrapper input[type="password"], .gform_wrapper input[type="search"], .gform_wrapper input[type="number"], .gform_wrapper input[type="tel"], .gform_wrapper input[type="range"], .gform_wrapper input[type="date"], .gform_wrapper input[type="month"], .gform_wrapper input[type="week"], .gform_wrapper input[type="time"], .gform_wrapper input[type="datetime"], .gform_wrapper input[type="datetime-local"], .gform_wrapper input[type="color"], .gform_wrapper select {
    padding-top: 18px !important;
	padding-right: 20px !important;
	padding-bottom: 18px !important;
	padding-left: 20px !important;
}
.gform_wrapper input[readonly="readonly"] {
	background-color: #eeeeee !important;
	cursor:not-allowed;
}
.gform_wrapper .gfield {
	margin-bottom: 30px !important;

}
.gform_wrapper [type="button"] {
	text-shadow: none !important;
}
.gform_button {
	background-color:var(--e-global-color-primary) !important;
	border:none !important;
	padding: 18px 40px 18px 40px !important;
	font-size: 19px !important;
	font-weight: 600 !important;
	text-transform: uppercase !important;
	line-height: 1 !important;
}
.mce-toolbar button,
.mce-toolbar .mce-btn i {
    color:#fff !important;
}
.mce-toolbar button .mce-caret {
    border-bottom-color:#fff !important;
    border-top-color:#fff !important;
}
.gform_button:hover {
	background-color:var( --e-global-color-secondary ) !important;
	border-color:var( --e-global-color-secondary ) !important;
}
.gform_wrapper input[type="file"] {
	position:relative;
	height:54px !important;
}
.gform_wrapper input::file-selector-button {
  font-weight: 600 !important;
  color: var(--e-global-color-text) !important;
  font-size:14px !important;
  background-color:#DFDFDF !important;
  height:54px !important;
  border: 1px solid #DFDFDF !important;
  border-radius: 10px 0 0 10px !important;
  cursor: pointer !important;
}
.gform_wrapper input::file-selector-button:hover {
  color: #fff !important;
  background-color:var(--e-global-color-secondary) !important;
}

.gf_progressbar_wrapper {
    margin: 40px 0;
    background-color: var(--bs-light);
    border: 1px solid #DFDFDF;
    border-radius: 15px;
    padding: 10px 20px 5px 20px;
}

.gf_progressbar_title {
    text-align: center;
    font-weight: 800 !important;
    color: var(--e-a-color-secondary) !important;
    font-size: 14px !important;
	text-transform:uppercase !important;
}

.gf_progressbar {
    position: relative;
    height: 20px;
    background-color: #f5f5f5;
    border-radius: 30px;
    overflow: hidden;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
}

.gf_progressbar_percentage {
    background: linear-gradient(90deg, var(--bs-evergreen) 0%, var(--bs-emerald) 100%);
    height: 100%;
    border-radius: 30px;
    position: relative;
    transition: width 0.8s cubic-bezier(0.65, 0, 0.35, 1);
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1);
}

.gf_progressbar_percentage.percentbar_100 {
    border-radius: 30px;
}

.gf_progressbar_percentage span {
    position: absolute;
    right: 10px;
    color: white;
    font-weight: bold;
    font-size: 0.8rem;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
    top: 50%;
    transform: translateY(-50%);
}
.gsection_title {
	font-size: 24px !important;
	line-height: 32px !important;
	font-weight: 700 !important;
	font-family: var(--e-global-typography-text-font-family);
	color: var(--e-global-color-primary) !important;
	margin-bottom: 20px !important;
}
.gform_legacy_markup_wrapper table.gsurvey-likert th.gsurvey-likert-choice-label, .gravity-theme table.gsurvey-likert th.gsurvey-likert-choice-label {
	background-color: var(--bs-primary) !important;
    color: #fff !important;
    font-weight: 300 !important;
}
.gfield.gfield--type-survey {
	margin-top:30px;
	margin-bottom:30px;
}
.gfield.gfield--type-survey label {
	font-size: 1.1875rem !important;
	font-weight: 600 !important;
	color: var(--bs-body-color) !important;
}
.gform_validation_errors,
.gfield_validation_message {
    border-radius: 30px !important;
}
.gform_validation_errors .gform_submission_error {
    margin:0 !important;
    font-family: var(--e-global-typography-primary-font-family), sans-serif !important;
    font-size: 1.125rem !important;
    font-weight: 600 !important;
    text-shadow: none !important;
}